# Uses of Interface
net.shibboleth.idp.authn.principal.PrincipalService

Packages that use PrincipalService
Package
Description
net.shibboleth.idp.authn.principal
Classes supporting Java `Principal` usage.

## Uses of PrincipalService in net.shibboleth.idp.authn.principal

Classes in net.shibboleth.idp.authn.principal that implement PrincipalService
Modifier and Type
Class
Description
`class`
`GenericPrincipalService<T extends Principal>`
`PrincipalService` for most principal types that just exposes the proper `PrincipalSerializer`.
Fields in net.shibboleth.idp.authn.principal with type parameters of type PrincipalService
Modifier and Type
Field
Description
`private final Map<Class<?>,PrincipalService<?>>`
PrincipalServiceManager.`classIndexedMap`
Service index by class.
`private final Map<String,PrincipalService<?>>`
PrincipalServiceManager.`idIndexedMap`
Service index by ID.
Methods in net.shibboleth.idp.authn.principal that return PrincipalService
Modifier and Type
Method
Description
`<T extends Principal>
PrincipalService<T>`
PrincipalServiceManager.`byClass(Class<T> claz)`
Get a `PrincipalService` by type.
Methods in net.shibboleth.idp.authn.principal that return types with arguments of type PrincipalService
Modifier and Type
Method
Description
`Collection<PrincipalService<?>>`
PrincipalServiceManager.`all()`
Get all of the registered services.
Constructor parameters in net.shibboleth.idp.authn.principal with type arguments of type PrincipalService
Modifier
Constructor
Description
``
`PrincipalServiceManager(Collection<PrincipalService<?>> services)`
Constructor.